      SUBROUTINE SMACHCONS(WHAT,RESULT)

* This file is to be used by pim20/common/compute-smachcons.f
* which will evaluate the machine epsilon and underflow and
* overflow thresholds using the LAPACK routine SLAMCH.

*     .. Parameters ..
      REAL MACHEPS
      PARAMETER (MACHEPS =  2.22044604925031308E-16 )
      REAL UNDERFLOW
      PARAMETER (UNDERFLOW =  2.22507385850720138E-308 )
      REAL OVERFLOW
      PARAMETER (OVERFLOW =  1.79769313486231571E+308 )
*     ..
*     .. Scalar Arguments ..
      REAL RESULT
      CHARACTER WHAT
*     ..
      IF ((WHAT.EQ.'M') .OR. (WHAT.EQ.'m')) THEN
          RESULT = MACHEPS
      ELSE IF ((WHAT.EQ.'U') .OR. (WHAT.EQ.'u')) THEN
          RESULT = UNDERFLOW
      ELSE IF ((WHAT.EQ.'O') .OR. (WHAT.EQ.'o')) THEN
          RESULT = OVERFLOW
      END IF

      RETURN

      END
