      subroutine generate_scale(ipar)
      implicit none
c=====7==1=========2=========3=========4=========5=========6=========7==
      integer          ipar(*)

      INCLUDE "include_parameters"
c------------- data structure for distributed matrix in 
c------------- global address space 
      integer             col(matlen), rpt(veclen+1)
      real                val(matlen)
      common            / matrix / val, col, rpt
c------------- data structure for scale
      real                s(veclen)
      common            / scale / s

      integer nloc, i, l, neg, lneg, ierr

      nloc = ipar(4)
      do i = 1 , nloc
         s(i) = 0.0
      end do
      do i = 1 , nloc
         do l = rpt(i) , rpt(i+1)-1
            if (col(l).eq.i) then
               s(i) = val(l)
               go to 111
            end if  
         end do
 111     continue
      end do

      if (s(1).lt.0) then
         do i = 1 , nloc
            s(i) = -s(i)
         end do
      end if
      lneg = 0
      do i = 1 , nloc
          if (s(i).le.0) lneg = 1
      end do
      call lib_globmax_i(lneg,neg,1,0,ierr)
      call lib_brdcst_i(neg,1,0,ierr)
      if (neg.eq.0) go to 112

      do i = 1 , nloc
         s(i) = 0.0
         do l = rpt(i) , rpt(i+1)-1
            s(i) = s(i) + abs(val(l))
         end do
      end do

 112  continue
      do i = 1 , nloc
         s(i) = 1./sqrt(s(i))
      end do

      return
      end 


